.block-cookbook {
	--cwp-image-padding: 16px;
	display: grid;
	grid-template-columns: calc( 240px + var(--cwp-image-padding) )  1fr;
}

.block-cookbook.has-background,
.editor-styles-wrapper .block-cookbook.has-background,
.block-cookbook.has-background.alignfull,
.editor-styles-wrapper .block-cookbook.has-background.alignfull {
	padding: 0;
}

.block-cookbook .block-cookbook__image {
	margin-bottom: 0;
}

/*
.block-cookbook__image img,
.block-cookbook__image img[style] {
	height: 100% !important;
	aspect-ratio: auto !important;
	object-fit: cover;
}
*/

.block-cookbook__content {
	padding: 40px;
}

@media only screen and (max-width: 767px) {
	.block-cookbook {
		display: block;
	}

	.block-cookbook .block-cookbook__image {
		max-width: 300px;
		margin-left: auto;
		margin-right: auto;
	}

	.block-cookbook__content {
		padding: 16px;
	}
}

@media only screen and (min-width: 768px) {
	.block-cookbook .block-cookbook__image {
		padding: var(--cwp-image-padding) 0 var(--cwp-image-padding) var(--cwp-image-padding);
	}

}

.block-area-sidebar .block-cookbook {
	display: block;
}

.block-area-sidebar .block-cookbook .block-cookbook__image {
	padding: 0;
	max-width: 300px;
	margin-left: auto;
	margin-right: auto;
}

.block-area-sidebar .block-cookbook__content {
	padding: 16px;
}
